%define        pkgmajver %(echo %{version} | cut -d. -f 1-2)

Name:          python-twisted
Version:       18.4.0
Release:       1mamba
Summary:       Event-driven networking framework written in Python
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://www.twistedmatrix.com/
Source:        https://pypi.debian.net/Twisted/Twisted-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel >= %python_version
## AUTOBUILDREQ-END
BuildRequires: python
BuildRequires: python-zopeinterface
Requires:      python >= %python_version
Requires:      python-zopeinterface
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides:      python-Twisted = %{version}-%{release}

%description
An event-driven networking framework written in Python and licensed under the LGPL.
Twisted supports TCP, UDP, SSL/TLS, multicast, Unix sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC, FTP, andothers), and much more.

%package docs
Summary: Documentation for the Twisted networking framework
Group: Documentation

%description docs
An event-driven networking framework written in Python and licensed under the LGPL.
Twisted supports TCP, UDP, SSL/TLS, multicast, Unix sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC, FTP, andothers), and much more.

This package contains all the documentation for Twisted.

%prep
%setup -q -n Twisted-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "/iocpsupport.so/d" %{name}.filelist
#install -d %{buildroot}%{_mandir}/man1/
#cp -a doc/*/man/*.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-, root, root)

%changelog
* Fri May 25 2018 Automatic Build System <autodist@mambasoft.it> 18.4.0-1mamba
- automatic version update by autodist

* Wed Oct 04 2017 Automatic Build System <autodist@mambasoft.it> 17.9.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 17.5.0-1mamba
- automatic version update by autodist

* Fri Mar 31 2017 Automatic Build System <autodist@mambasoft.it> 17.1.0-1mamba
- automatic version update by autodist

* Thu Dec 01 2016 Automatic Build System <autodist@mambasoft.it> 16.6.0-1mamba
- automatic version update by autodist

* Thu Nov 24 2016 Automatic Build System <autodist@mambasoft.it> 16.5.0-1mamba
- automatic version update by autodist

* Mon Sep 19 2016 Automatic Build System <autodist@mambasoft.it> 16.4.1-1mamba
- automatic update by autodist

* Fri Aug 19 2016 Automatic Build System <autodist@mambasoft.it> 16.3.2-1mamba
- automatic version update by autodist

* Wed Aug 17 2016 Automatic Build System <autodist@mambasoft.it> 16.3.1-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 16.3.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 16.2.0-1mamba
- automatic version update by autodist

* Sat Apr 30 2016 Automatic Build System <autodist@mambasoft.it> 16.1.1-1mamba
- automatic version update by autodist

* Sat Mar 19 2016 Automatic Build System <autodist@mambasoft.it> 16.0.0-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 15.5.0-1mamba
- automatic version update by autodist

* Thu Sep 24 2015 Automatic Build System <autodist@mambasoft.it> 15.4.0-1mamba
- automatic version update by autodist

* Sat Sep 12 2015 Automatic Build System <autodist@mambasoft.it> 15.3.0-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 15.2.1-1mamba
- automatic version update by autodist

* Mon Apr 13 2015 Automatic Build System <autodist@mambasoft.it> 15.1.0-1mamba
- automatic version update by autodist

* Sat Jan 31 2015 Automatic Build System <autodist@mambasoft.it> 15.0.0-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 14.0.2-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 14.0.1-1mamba
- automatic version update by autodist

* Sun Jun 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 14.0.0-1mamba
- update to 14.0.0

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 10.2.0-2mamba
- python 2.7 mass rebuild

* Wed Oct 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 10.2.0-1mamba
- update to 10.2.0

* Mon Aug 23 2010 Davide Madrisan <davide.madrisan@gmail.com> 8.2.0-1mamba
- update to 8.2.0

* Sun Dec 07 2008 gil <puntogil@libero.it> 8.1.0-2mamba
- built with python 2.6 and new python-twisted

* Mon Aug 11 2008 gil <puntogil@libero.it> 8.1.0-1mamba
- update to 8.1.0
- changed buildrequires python-devel with libpython-devel
- edit source

* Thu Aug 16 2007 Tiziana Ferro <tiziana.ferro@email.it> 2.5.0-1mamba
- package created by autospec
